diff --git a/game/client/build.gradle.kts b/game/client/build.gradle.kts
index 1e3053fb0..01672dd2a 100644
--- a/game/client/build.gradle.kts
+++ b/game/client/build.gradle.kts
@@ -47,7 +47,7 @@ dependencies {
 
     implementation("com.github.Better-than-Adventure:legacy-lwjgl3:1.0.6")?.let { include(it) }
 
-    implementation("org.apache-extras.beanshell:bsh:2.0b6")?.let { include(it) }
+//    implementation("org.apache-extras.beanshell:bsh:2.0b6")?.let { include(it) }
     implementation("com.deepoove:codehighlight:1.0.3")?.let { include(it) }
 
     implementation(libs.bundles.lwjgl)
diff --git a/game/client/src/main/java/net/minecraft/client/console/shell/RuntimeExecutor.java b/game/client/src/main/java/net/minecraft/client/console/shell/RuntimeExecutor.java
index bceb92777..d81712af5 100644
--- a/game/client/src/main/java/net/minecraft/client/console/shell/RuntimeExecutor.java
+++ b/game/client/src/main/java/net/minecraft/client/console/shell/RuntimeExecutor.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.console.shell;
 
-import bsh.EvalError;
-import bsh.Interpreter;
+//import bsh.EvalError;
+//import bsh.Interpreter;
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.console.shell.commands.reloadScripts;
@@ -15,12 +15,12 @@ import org.slf4j.Logger;
 public final class RuntimeExecutor {
     private static final Logger LOGGER = LogUtils.getLogger();
 
-    private final @NotNull Interpreter interpreter;
+//    private final @NotNull Interpreter interpreter;
 
     public RuntimeExecutor() {
-        this.interpreter = new Interpreter();
+//        this.interpreter = new Interpreter();
 
-        reloadScripts.invoke(this.interpreter, null);
+//        reloadScripts.invoke(this.interpreter, null);
     }
 
     public @NotNull String runCode(final @NotNull String line) {
@@ -125,30 +125,30 @@ public final class RuntimeExecutor {
             return sb.toString();
         }
 
-        try {
-            final @Nullable Object result = this.interpreter.eval(line);
-            sb.append(TextFormatting.WHITE);
-            if (result == null) {
-                sb.append(TextFormatting.ORANGE).append("null");
-            } else if (result instanceof RawOutputWrapper) {
-                sb.append(((RawOutputWrapper) result).value);
-            } else if (result.getClass().isPrimitive()) {
-                sb.append(TextFormatting.LIGHT_BLUE).append(result);
-            } else if (result instanceof String) {
-                sb.append(TextFormatting.GREEN).append("\"").append(result).append("\"");
-            } else {
-                sb.append(result);
-            }
-        } catch (final @NotNull EvalError e) {
-            sb
-                .append(TextFormatting.RED)
-                .append(e);
-        } catch (final @NotNull Throwable t) {
-            sb
-                .append(TextFormatting.RED)
-                .append("Caught exception: ")
-                .append(t);
-        }
+//        try {
+//            final @Nullable Object result = this.interpreter.eval(line);
+//            sb.append(TextFormatting.WHITE);
+//            if (result == null) {
+//                sb.append(TextFormatting.ORANGE).append("null");
+//            } else if (result instanceof RawOutputWrapper) {
+//                sb.append(((RawOutputWrapper) result).value);
+//            } else if (result.getClass().isPrimitive()) {
+//                sb.append(TextFormatting.LIGHT_BLUE).append(result);
+//            } else if (result instanceof String) {
+//                sb.append(TextFormatting.GREEN).append("\"").append(result).append("\"");
+//            } else {
+//                sb.append(result);
+//            }
+//        } catch (final @NotNull EvalError e) {
+//            sb
+//                .append(TextFormatting.RED)
+//                .append(e);
+//        } catch (final @NotNull Throwable t) {
+//            sb
+//                .append(TextFormatting.RED)
+//                .append("Caught exception: ")
+//                .append(t);
+//        }
 
         return sb.toString();
     }
diff --git a/game/client/src/main/java/net/minecraft/client/console/shell/commands/fields.java b/game/client/src/main/java/net/minecraft/client/console/shell/commands/fields.java
index d15a62a93..ee778d7c1 100644
--- a/game/client/src/main/java/net/minecraft/client/console/shell/commands/fields.java
+++ b/game/client/src/main/java/net/minecraft/client/console/shell/commands/fields.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.console.shell.commands;
 
-import bsh.CallStack;
-import bsh.ClassIdentifier;
-import bsh.Interpreter;
+//import bsh.CallStack;
+//import bsh.ClassIdentifier;
+//import bsh.Interpreter;
 import net.minecraft.client.console.shell.RawOutputWrapper;
 import net.minecraft.core.net.command.TextFormatting;
 import org.jetbrains.annotations.Nullable;
@@ -11,73 +11,73 @@ import java.lang.reflect.Field;
 import java.lang.reflect.Modifier;
 
 public class fields {
-    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, Object o) {
-        if (o == null) {
-            return new RawOutputWrapper(TextFormatting.RED + "Argument was null!");
-        }
-        final Class<?> clazz = o.getClass();
-        StringBuilder sb = new StringBuilder();
-        Field[] fields = clazz.getFields();
-        for (Field field : fields) {
-            sb
-                .append(TextFormatting.WHITE)
-                .append("    ")
-                .append(TextFormatting.ORANGE)
-                .append(Modifier.toString(field.getModifiers()))
-                .append(" ");
-            if (field.getType().isPrimitive()) {
-                sb
-                    .append(TextFormatting.ORANGE);
-            } else {
-                sb
-                    .append(TextFormatting.WHITE);
-            }
-            sb
-                .append(field.getType().getSimpleName())
-                .append(" ")
-                .append(TextFormatting.PINK)
-                .append(field.getName())
-                .append(TextFormatting.WHITE)
-                .append(" = ");
-            appendObject(field, o, sb);
-            sb
-                .append(TextFormatting.WHITE)
-                .append(";\n");
-        }
-        return new RawOutputWrapper(sb.toString());
-    }
-
-    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, ClassIdentifier clazz) {
-        StringBuilder sb = new StringBuilder();
-        if (clazz.getTargetClass() != null) {
-            Field[] fields = clazz.getTargetClass().getFields();
-            for (Field field : fields) {
-                sb
-                    .append(TextFormatting.WHITE)
-                    .append("    ")
-                    .append(TextFormatting.ORANGE)
-                    .append(Modifier.toString(field.getModifiers()))
-                    .append(" ")
-                    .append(TextFormatting.WHITE)
-                    .append(field.getType().getSimpleName())
-                    .append(" ")
-                    .append(TextFormatting.PINK)
-                    .append(field.getName());
-                if (Modifier.isStatic(field.getModifiers())) {
-                    sb
-                        .append(TextFormatting.WHITE)
-                        .append(" = ");
-                    appendObject(field, null, sb);
-                }
-                sb
-                    .append(TextFormatting.WHITE)
-                    .append(";\n");
-            }
-            return new RawOutputWrapper(sb.toString());
-        } else {
-            return null;
-        }
-    }
+//    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, Object o) {
+//        if (o == null) {
+//            return new RawOutputWrapper(TextFormatting.RED + "Argument was null!");
+//        }
+//        final Class<?> clazz = o.getClass();
+//        StringBuilder sb = new StringBuilder();
+//        Field[] fields = clazz.getFields();
+//        for (Field field : fields) {
+//            sb
+//                .append(TextFormatting.WHITE)
+//                .append("    ")
+//                .append(TextFormatting.ORANGE)
+//                .append(Modifier.toString(field.getModifiers()))
+//                .append(" ");
+//            if (field.getType().isPrimitive()) {
+//                sb
+//                    .append(TextFormatting.ORANGE);
+//            } else {
+//                sb
+//                    .append(TextFormatting.WHITE);
+//            }
+//            sb
+//                .append(field.getType().getSimpleName())
+//                .append(" ")
+//                .append(TextFormatting.PINK)
+//                .append(field.getName())
+//                .append(TextFormatting.WHITE)
+//                .append(" = ");
+//            appendObject(field, o, sb);
+//            sb
+//                .append(TextFormatting.WHITE)
+//                .append(";\n");
+//        }
+//        return new RawOutputWrapper(sb.toString());
+//    }
+//
+//    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, ClassIdentifier clazz) {
+//        StringBuilder sb = new StringBuilder();
+//        if (clazz.getTargetClass() != null) {
+//            Field[] fields = clazz.getTargetClass().getFields();
+//            for (Field field : fields) {
+//                sb
+//                    .append(TextFormatting.WHITE)
+//                    .append("    ")
+//                    .append(TextFormatting.ORANGE)
+//                    .append(Modifier.toString(field.getModifiers()))
+//                    .append(" ")
+//                    .append(TextFormatting.WHITE)
+//                    .append(field.getType().getSimpleName())
+//                    .append(" ")
+//                    .append(TextFormatting.PINK)
+//                    .append(field.getName());
+//                if (Modifier.isStatic(field.getModifiers())) {
+//                    sb
+//                        .append(TextFormatting.WHITE)
+//                        .append(" = ");
+//                    appendObject(field, null, sb);
+//                }
+//                sb
+//                    .append(TextFormatting.WHITE)
+//                    .append(";\n");
+//            }
+//            return new RawOutputWrapper(sb.toString());
+//        } else {
+//            return null;
+//        }
+//    }
 
     private static void appendObject(Field field, Object o, StringBuilder sb) {
         try {
diff --git a/game/client/src/main/java/net/minecraft/client/console/shell/commands/methods.java b/game/client/src/main/java/net/minecraft/client/console/shell/commands/methods.java
index b58cd8a3e..bd8811b01 100644
--- a/game/client/src/main/java/net/minecraft/client/console/shell/commands/methods.java
+++ b/game/client/src/main/java/net/minecraft/client/console/shell/commands/methods.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.console.shell.commands;
 
-import bsh.CallStack;
-import bsh.ClassIdentifier;
-import bsh.Interpreter;
+//import bsh.CallStack;
+//import bsh.ClassIdentifier;
+//import bsh.Interpreter;
 import net.minecraft.client.console.shell.RawOutputWrapper;
 import net.minecraft.core.net.command.TextFormatting;
 
@@ -11,13 +11,13 @@ import java.lang.reflect.Modifier;
 import java.lang.reflect.Parameter;
 
 public class methods {
-    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, Object o) {
-        return inner(o.getClass());
-    }
-
-    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, ClassIdentifier clazz) {
-        return inner(clazz.getTargetClass());
-    }
+//    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, Object o) {
+//        return inner(o.getClass());
+//    }
+//
+//    public static RawOutputWrapper invoke(Interpreter env, CallStack callstack, ClassIdentifier clazz) {
+//        return inner(clazz.getTargetClass());
+//    }
 
     private static RawOutputWrapper inner(Class<?> clazz) {
         if (clazz == null) {
diff --git a/game/client/src/main/java/net/minecraft/client/console/shell/commands/reloadScripts.java b/game/client/src/main/java/net/minecraft/client/console/shell/commands/reloadScripts.java
index baa950179..8c9f3caf0 100644
--- a/game/client/src/main/java/net/minecraft/client/console/shell/commands/reloadScripts.java
+++ b/game/client/src/main/java/net/minecraft/client/console/shell/commands/reloadScripts.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.console.shell.commands;
 
-import bsh.CallStack;
-import bsh.Interpreter;
+//import bsh.CallStack;
+//import bsh.Interpreter;
 import com.mojang.logging.CategorizedLogger;
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
@@ -22,47 +22,47 @@ import java.util.stream.Stream;
 public class reloadScripts {
     private static final CategorizedLogger LOGGER = LogUtils.getLogger();
 
-    public static void invoke(Interpreter env, CallStack callstack) {
-        try {
-
-            LOGGER.warn("Clearing current state...");
-            env.eval("clear()");
-
-            LOGGER.warn("Loading internal commands...");
-            env.eval("importCommands(\"net.minecraft.client.console.shell.commands\")");
-            env.eval("importCommands(\"scripts.beanshell.commands\")");
-
-            LOGGER.warn("Loading external commands...");
-            File[] externalCommands = new File(Minecraft.getMinecraft().getMinecraftDir(), "/scripts/beanshell/commands").listFiles();
-            if (externalCommands != null) {
-                for (File file : externalCommands) {
-                    if (!file.getAbsolutePath().endsWith(".bsh")) continue;
-                    env.eval(("source(\"" + file.getAbsolutePath() + "\")").replace("\\", "/"));
-                }
-            }
-
-            LOGGER.warn("Loading internal scripts...");
-            String[] internalFiles = getFilesInDirectory("/scripts/beanshell/");
-            for (String file : internalFiles) {
-                if (!file.endsWith(".bsh")) continue;
-                env.eval("source(\"" + file.replace("/", ".") + "\")");
-            }
-
-            LOGGER.warn("Loading external scripts...");
-            File[] externalFiles = new File(Minecraft.getMinecraft().getMinecraftDir(), "/scripts/beanshell/").listFiles();
-            if (externalFiles != null) {
-                for (File file : externalFiles) {
-                    if (!file.getAbsolutePath().endsWith(".bsh")) continue;
-                    env.eval(("source(\"" + file.getAbsolutePath() + "\")").replace("\\", "/"));
-                }
-            }
-
-            LOGGER.info("Loaded commands and scripts.");
-        } catch (Exception e) {
-            LOGGER.error("Caught exception:", e);
-            LOGGER.error("Could not reload scripts!");
-        }
-    }
+//    public static void invoke(Interpreter env, CallStack callstack) {
+//        try {
+//
+//            LOGGER.warn("Clearing current state...");
+//            env.eval("clear()");
+//
+//            LOGGER.warn("Loading internal commands...");
+//            env.eval("importCommands(\"net.minecraft.client.console.shell.commands\")");
+//            env.eval("importCommands(\"scripts.beanshell.commands\")");
+//
+//            LOGGER.warn("Loading external commands...");
+//            File[] externalCommands = new File(Minecraft.getMinecraft().getMinecraftDir(), "/scripts/beanshell/commands").listFiles();
+//            if (externalCommands != null) {
+//                for (File file : externalCommands) {
+//                    if (!file.getAbsolutePath().endsWith(".bsh")) continue;
+//                    env.eval(("source(\"" + file.getAbsolutePath() + "\")").replace("\\", "/"));
+//                }
+//            }
+//
+//            LOGGER.warn("Loading internal scripts...");
+//            String[] internalFiles = getFilesInDirectory("/scripts/beanshell/");
+//            for (String file : internalFiles) {
+//                if (!file.endsWith(".bsh")) continue;
+//                env.eval("source(\"" + file.replace("/", ".") + "\")");
+//            }
+//
+//            LOGGER.warn("Loading external scripts...");
+//            File[] externalFiles = new File(Minecraft.getMinecraft().getMinecraftDir(), "/scripts/beanshell/").listFiles();
+//            if (externalFiles != null) {
+//                for (File file : externalFiles) {
+//                    if (!file.getAbsolutePath().endsWith(".bsh")) continue;
+//                    env.eval(("source(\"" + file.getAbsolutePath() + "\")").replace("\\", "/"));
+//                }
+//            }
+//
+//            LOGGER.info("Loaded commands and scripts.");
+//        } catch (Exception e) {
+//            LOGGER.error("Caught exception:", e);
+//            LOGGER.error("Could not reload scripts!");
+//        }
+//    }
 
     private static String[] getFilesInDirectory(String directory)
     {
